Adobe ExtendScript Toolkit

ExtendScript ToolKit

# Demonstrates Class Reference

## Detailed Description

Demonstrates basic cross-application communication using BridgeTalk messages, communicating between ESTK CS4 and InDesign CS4.

Demonstrates the use of checkboxes and radio buttons and their associated event listeners.

Demonstrates basic cross-application communication using BridgeTalk messages, between ExtendScript Toolkit CS4 and Photoshop CS4.

communication using BridgeTalk messages, communicating between ESTK CS4 and InDesign CS4.

#### Usage

1. Make sure Adobe InDesign CS4 is running.
2. Run the snippet in the ExtendScript Toolkit.
3. Inspect the JavaScript Console in the Toolkit to see the sequence of messages between ESTK CS4 and InDesign CS4.
4. Switch to InDesign CS3; you should see a new document has been created, with a populated text frame.

#### Description

This script creates a BridgeTalk message object and sends it from ESTK CS4 to InDesign CS4. The message sends a function (createInDesignObjects()), which is executed in the scripting engine of InDesign CS4 to create a new document with a populated text frame.

Constructor

communication using BridgeTalk messages, between ExtendScript Toolkit CS4 and Photoshop CS4..

#### Usage

1. Make sure Adobe Photoshop CS4 is running
2. Run the snippet in the ExtendScript Toolkit (ESTK), with anu ScriptUI enabled application as the target (see Readme.txt)
3. Inspect the JavaScript Console in the ESTK to see the sequence of messages passing between your chosen application and Photoshop CS4.
4. Note; there is no other visible output besides the trace to the JavaScript Console of the ESTK.

#### Description

This script creates a BridgeTalk message object and sends it from the ESTK to Photoshop. It prints to the JavaScript Console so you can see the order of arrival of the message and message responses.

Your chosen application and Adobe Photoshop CS4 must be running for this script to work. When Photoshop receives the message, its default BridgeTalk.onReceive() method evaluates the script contained in the message body. That script causes Photoshop to create some BridgeTalk messages that are then sent back to your application.

Constructor.

of checkboxes and radio buttons and their associated event listeners.

#### Usage

1. Run from ExtendScript Toolkit
2. Select different combinations of buttons to enable / disable components

#### Description

Click the check boxes and radio buttons to change the text in the text boxes and disable components.

Constructor.

The documentation for this class was generated from the following file:

- MessageSendingToInDesign.jsx

Copyright© 2008 Adobe Systems Incorporated. All rights reserved.

Terms of Use Online Privacy Policy Adobe and accessibility Avoid software piracy Permissions and Trademarks